;; $Id: dbtitle.dsl 0.1 1997/07/31 14:51:33 nwalsh Exp $

;; So we can pass different sosofo's to this routine and get identical
;; treatment (see REFNAME in dbrfntry.dsl)
;;
(define ($lowtitlewithsosofo$ tlevel sosofo)
  (let ((tgi (cond
	      ((equal? tlevel 1) "H1")
	      ((equal? tlevel 2) "H2")
	      ((equal? tlevel 3) "H3")
	      ((equal? tlevel 4) "H4")
	      ((equal? tlevel 5) "H5")
	      (else "P"))))
    (if (< tlevel 6)
	(make element gi: tgi
	      sosofo)
	(make element gi: "P"
	      (make element gi: "B"
		    sosofo)))))

(define ($lowtitle$ tlevel)
  ($lowtitlewithsosofo$ tlevel (process-children)))

(define ($runinhead$)
  (make element gi: "B"
	(process-children)
	(literal "  ")))

(element TITLE ($lowtitle$ 2))         ;; the default TITLE format
(element TITLEABBREV (empty-sosofo))
(element SUBTITLE (empty-sosofo))

